//
// $Id: Hello.h 75125 2006-10-29 17:04:09Z mesnier_p $
//

#ifndef HELLO_H
#define HELLO_H
#include /**/ "ace/pre.h"

#include "HelloS.h"

/// Implement the Test::Hello interface
class Hello
  : public virtual POA_Test::Hello
{
public:
  /// Constructor
  Hello (CORBA::ORB_ptr orb);

  // = The skeleton methods
  virtual void method (CORBA::Short count ACE_ENV_ARG_DECL)
    ACE_THROW_SPEC ((CORBA::SystemException));

  virtual void set_callback (Test::CallBack_ptr cb
                             ACE_ENV_ARG_DECL)
    ACE_THROW_SPEC ((CORBA::SystemException));


private:
  /// Use an ORB reference to conver strings to objects and shutdown
  /// the application.
  CORBA::ORB_var orb_;
  Test::CallBack_var callback_;
  int count_;
};

#include /**/ "ace/post.h"
#endif /* HELLO_H */
